tone_gen_state_s Struct Reference

`#include <tone_generate.h>`

## Public Attributes

tone_gen_tone_descriptor_t | tone [4]
uint32_t | phase [4]
int | duration [4]
int | repeat
int | current_section
int | current_position

## Detailed Description

Cadenced multi-tone generator state descriptor. This defines the state of a single working instance of a generator.

The documentation for this struct was generated from the following file:

- private/tone_generate.h